<template>
  <div class="w-full">

    <div class="flex justify-items-center justify-center py-10 bg-gray-100 dark:bg-dark-2 w-full">

      <div class="w-1/4">

        <img src="@/assets/img/logo.png" alt="logo" width=120 height=120/>

      </div>

      <div class="w-1/4">

        <h2 class="mb-4">{{ $t('global.site') | capitalize }}</h2>

        <ul class="list-unstyled">

          <li class="pb-3">
            <Link to="/">{{ $t('views.Home.title') | capitalize }}</Link>
          </li>

          <li class="pb-3">
            <Link to="/about">{{ $t('views.About.title') | capitalize }}</Link>
          </li>

          <li v-if="!$root.auth.user()" class="pb-3">
            <Link to="/login">{{ $t('user.signIn') | capitalize }}</Link>
          </li>

          <li v-if="!$root.auth.user()" class="pb-3">
            <Link to="/sign-up">{{ $t('user.signUp') | capitalize }}</Link>
          </li>

        </ul>

      </div>

      <div class="w-1/4">

        <h2 class="mb-4">{{ $t('global.contact') | capitalize }}</h2>

        <ul class="list-unstyled">

          <li class="pb-3">
            <v-icon name="brands/twitter" class="text-primary mr-2"/>
            <Link href="https://twitter.com/" external><!-- eslint-disable-line -->
              Twitter
            </Link>
          </li>

          <li class="pb-3">
            <v-icon name="brands/facebook" class="text-primary mr-2"/>
            <Link href="https://facebook.com/" external><!-- eslint-disable-line -->
              Facebook
            </Link>
          </li>

          <li class="pb-3">
            <v-icon name="brands/discord" class="text-primary mr-2"/>
            <Link :href="GLOBALS.__DISCORD_INVITE_LINK__" external><!-- eslint-disable-line -->
              Discord
            </Link>
          </li>

          <li class="pb-3">
            <v-icon name="envelope" class="text-primary mr-2"/>
            <Link href="mailto:john@doe.test"><!-- eslint-disable-line -->
              john@doe.test
            </Link>
          </li>

        </ul>

      </div>

    </div>

    <div class="py-10 w-full">
      <p align="center">
        <Link href="https://gitlab.com/hperchec-boilerplates/scorpion" external>Scorpion boilerplate</Link> - Made with ❤ by <Link href="http://herve-perchec.com/" external>Hervé PERCHEC</Link><!-- eslint-disable-line -->
      </p>
    </div>

  </div>
</template>

<script>
export default {
  name: 'Footer'
}
</script>
